Subject: bug#28661: 25.3; closing fullscreen frame on macOS 10.13 High Sierra causes crash

From: Alan Third <[email-masked]>
Date: Sun, 1 Oct 2017 20:33:57 +0100

On Sun, Oct 01, 2017 at 08:43:23AM -0700, Kevin Lin wrote:
> Dear Emacs maintainers,
> 
> Without any init files, I
> 
> 1. start up Emacs from the Finder
> 
> 2. open a second frame
> 
> 3. make either frame fullscreen (by clicking on the
>    green button in the title bar or running
>    TOGGLE-FRAME-FULLSCREEN)
> 
> 4. close the frame, either by clicking the red button
>    or running DELETE-FRAME
> 
> On my machine, this causes Emacs to crash.

Hmm, we had this exact issue before and it disappeared when I did some
work on undecorated frames, etc.

> My copy of Emacs is the latest release from
> https://emacsformacosx.com.  I have also tried this on
> the latest nightly ("GNU Emacs 26.0.50 (build 1,
> x86_64-apple-darwin13.4.0, NS appkit-1265.21 Version
> 10.9.5 (Build 13F1911)) of 2017-06-11") from that
> site.  The behavior appears to be identical.

Is it possible for you to try building a newer version? If you use
homebrew I think you can do so with:

    $ brew install emacs --HEAD

Alternatively, is there anyone else out there using 10.13 and a recent
version of Emacs who can confirm? I’m still on 10.12 and will be for
the foreseeable future.

-- 
Alan Third